/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.DispositivoEmbarcada;
import com.rjconsultores.ventaboletos.entidad.DispositivoEmbarcadaHistorico;
import com.rjconsultores.ventaboletos.enums.TipoBloqueioDispositivoEmbarcadaEnum;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

/**
 *
 * @author Lucas
 */
public class RenderDispositivoVendaEmbarcadaHistorico implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		DispositivoEmbarcadaHistorico dispositivoEmbarcadaHistorico = (DispositivoEmbarcadaHistorico) o;
		
		Listcell lc = new Listcell(dispositivoEmbarcadaHistorico.getDispositivoEmbarcadaHistId().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(String.format("%s", UsuarioLogado.getUsuarioLogado().getUsuarioId().toString()));
		lc.setParent(lstm);

		lc = new Listcell(String.format("%s", TipoBloqueioDispositivoEmbarcadaEnum.getTipoDispositivoEmbarcada(dispositivoEmbarcadaHistorico.getTipoBloqueioDispositivoEmbarcada()).getDescricao()));
		lc.setParent(lstm);
		
		lc = new Listcell(dispositivoEmbarcadaHistorico.getDescricao() != null ? dispositivoEmbarcadaHistorico.getDescricao().toString() : "");
		lc.setParent(lstm);
		
		lc = new Listcell(dispositivoEmbarcadaHistorico.getFecmodif().toString());
		lc.setParent(lstm);
		
		lstm.setAttribute("data", dispositivoEmbarcadaHistorico);
	}
}
